commit:     0f9175e4e81a852ea9a772f0fa45126fbbb86b0e
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp 
<DOT> ua>
AuthorDate: Mon Dec 25 09:57:20 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 25 13:53:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f9175e4

x11-misc/libinput-gestures: 2.30 version bump

Closes: https://github.com/gentoo/gentoo/pull/6065

 x11-misc/libinput-gestures/Manifest                |  1 +
 .../libinput-gestures-2.30.ebuild                  | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/x11-misc/libinput-gestures/Manifest 
b/x11-misc/libinput-gestures/Manifest
index 79bd925f41e..12e7c1f9496 100644
--- a/x11-misc/libinput-gestures/Manifest
+++ b/x11-misc/libinput-gestures/Manifest
@@ -1,3 +1,4 @@
 DIST libinput-gestures-2.15.tar.gz 11468 BLAKE2B 
cdcdea40a00eafc84f0a42a7f050c5f484c742c07ad008507881aca19296c93d9e486944d381e94240fd97e1f4740d2a2ba956e8152c1cbe2ab69c0685cf258e
 SHA512 
b0449ce3355e700655cf450b62e239566f2a49127bb4afeda659e04026657d86f13dbfd101399428771b92323e6c55cf40f75bad79025ff80eb9003d85345c23
 DIST libinput-gestures-2.19.tar.gz 13031 BLAKE2B 
0f34b0c66ea30cba789cad0f3e82cc9756d48ba6769c63a04d1983f49695e7953b8f60fed3c640e505458ed54e3fbca93be0b9c65fca746c52a13b17f63ed4a2
 SHA512 
d67e5180e89dd1032fc16be6c6bb8b17f413bc41ebf2d92735fa444b23b5001ae37e243d1089f96308ea22a015b38c066ad8ca2a8f33feea247a51d6bf049d10
 DIST libinput-gestures-2.26.tar.gz 15016 BLAKE2B 
a61404a6e09f24b6919e1af627eb18c8572195fa1b6a5316dc1e02cb8dcd9738e2663833ac5aa9a372100c1cd3a492205aad8d5e51e592f90db3debd8d79d957
 SHA512 
375c457c04f74d140693f6db0594b38f09c1a60eec89fa6e4b6da9b1d8d62abe42cf9e1a74214534f2b2f2a36d323521860bea722045b467d6bf2720a9c8c772
+DIST libinput-gestures-2.30.tar.gz 15462 BLAKE2B 
35b0dac4c729beb3e10830f8344012f7ab181ad0af68eba65ab5d4c8543dc6c6b636be004ee7faf3138f651fae726d50d0052854b2fbda41cc7cb035deac7e4d
 SHA512 
846e069835eda2c5a36aeafaed3f94d792a0227838622875014f2021531d9e08151900f3cf2188f8edf013d310e2444738d8deea525486349bea6589d09ccce2

diff --git a/x11-misc/libinput-gestures/libinput-gestures-2.30.ebuild 
b/x11-misc/libinput-gestures/libinput-gestures-2.30.ebuild
new file mode 100644
index 00000000000..2bf4b9c25cd
--- /dev/null
+++ b/x11-misc/libinput-gestures/libinput-gestures-2.30.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit python-single-r1
+
+DESCRIPTION="Actions gestures on your touchpad using libinput"
+HOMEPAGE="https://github.com/bulletmark/${PN}";
+SRC_URI="https://github.com/bulletmark/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/libinput-1.8.0
+       x11-misc/xdotool
+       x11-misc/wmctrl"
+DEPEND=">=dev-libs/libinput-1.8.0
+       dev-util/desktop-file-utils"
+
+pkg_postinst() {
+       elog "You must be in the input group to read the touchpad device."
+
+       if ! has_version x11-libs/gtk+:3 ; then
+               elog "${PN}-setup script supports Gnome 3 via x11-libs/gtk+:3."
+       fi
+       if ! has_version kde-plasma/kde-cli-tools:5 ; then
+               elog "${PN}-setup script supports Plasma 5 via 
kde-plasma/kde-cli-tools:5."
+       fi
+}

Reply via email to